LINUX.ORG.RU
ФорумAdmin

VMware-player


0

1

В универе дали задачу построить сеть под виртуалкой, а qemu им видите-ли не подходит по программе, поэтому пришлось ставить вот это. Ребята, помогите пожалуйста, у меня вообще установка заканчивается неудачно..............

sudo ./VMware-Player-4.0.2-591240.x86_64.bundle --console --custom
Вот такая получлась конфигурация:
System path prefix.  Please note that choosing a path other than /usr
may result in missing icons, application launchers, and other desktop
integrations [/usr]: 

System lib directory [/usr/lib]: 

Architecture-independent files [/usr/share]: 

User level binaries [/usr/bin]: 

Super user level binaries [/usr/sbin]: 

Documentation [/usr/share/doc]: 

Manual pages [/usr/share/man]: 

Header files [/usr/include]: 

System configuration files [/etc]: 

System service runlevel directory (contains rc?.d directories).  Use
an empty directory if your system does not support rc?.d style
directories: /etc/rc.d/vmware.d/

System service scripts directory (commonly /etc/init.d)
[/etc/rc.d/vmware.d/init.d]: /etc/rc.d

Would you like to check for product updates on startup? [yes]: 

Would you like to help make VMware software better by sending
anonymous system data and usage statistics to VMware? [yes]: 

The product is ready to be installed.  Press Enter to begin
installation or Ctrl-C to cancel.
А дальше поперла толпа ошибок:
Installing VMware VMX 4.0.2
    Configuring...Traceback (most recent call last):
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/handlers.py", line 73, in emit
    if self.shouldRollover(record):
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/handlers.py", line 146, in shouldRollover
    msg = "%s\n" % self.format(record)
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/__init__.py", line 630, in format
    return fmt.format(record)
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/__init__.py", line 421, in format
    s = self._fmt % record.__dict__
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 22: ordinal not in range(128)
Traceback (most recent call last):
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/handlers.py", line 73, in emit
    if self.shouldRollover(record):
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/handlers.py", line 146, in shouldRollover
    msg = "%s\n" % self.format(record)
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/__init__.py", line 630, in format
    return fmt.format(record)
  File "/tmp/vmis.oqWBU7/install/vmware-installer/python/lib/logging/__init__.py", line 421, in format
    s = self._fmt % record.__dict__
Rolling back VMware USB Arbitrator 8.4.18
    Deconfiguring...
[########################################                              ]  58%All configuration information is about to be removed. Do you wish to
keep your configuration files? [yes]: 

Uninstalling VMware Installer 2.0
    Deconfiguring...
[######################################################################] 100%
Installation was unsuccessful.

Моя ось вот такая:

               +                
               #                
              ###               
             #####              
             ######             
            ; #####;            User: shipa
           +##.#####            Hostname: shipa-pc
          +##########           Distro: Arch Linux
         #############;         Kernel: 3.2.8-1-ARCH
        ###############+        Uptime: 11:38
       #######   #######        Window Manager: Openbox
     .######;     ;###;`".      Desktop Environment: 
    .#######;     ;#####.       Shell: /bin/bash
    #########.   .########`     Terminal: xterm
   ######'           '######    Packages: 664
  ;####                 ####;   CPU: AMD A8-3510MX APU with Radeon(tm) HD Graphics
  ##'                     '##   RAM: 304 MB / 3434 MB 
 #'                         `#  Disk: 129G / 338G


Где-то я слыхивал, что VMware-player уже давно не развивается под Linux и работает на старых ядрах только. Хотя может тебе надо с python поколдовать в системе, может надо более старый?

А вообще я говорю, что не согласен с условиями лицензионного соглашения Windows/etc, и больше ко мне не пристают со всякими программами обучения, делаю как могу.

DALDON ★★★★★ ()
Ответ на: комментарий от DALDON

и работает на старых ядрах только.

есть патч для 3 ветки, всё работает отлично

lazyklimm ★★★★★ ()
Ответ на: комментарий от DALDON

Где-то я слыхивал, что VMware-player уже давно не развивается под Linux и работает на старых ядрах только

чушню ты слыхивал

anonymous ()

Ставь virtualbox и не мучайся.

kerneliq ★★★★★ ()

Что, вариантов ни каких нету???? :-(

shipa ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.